Loading...
Searching...
No Matches
Catch::Clara::Arg Class Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Arg:
[legend]
Collaboration diagram for Catch::Clara::Arg:
[legend]

## Public Member Functions

Detail::InternalParseResult | parse (std::string const &, Detail::TokenStream tokens) const override
Public Member Functions inherited from Catch::Clara::Detail::ParserRefImpl< Arg >
| ParserRefImpl (accept_many_t, LambdaT const &ref, StringRef hint)
| ParserRefImpl (T &ref, StringRef hint)
| ParserRefImpl (LambdaT const &ref, StringRef hint)
Arg & | operator() (StringRef description) &
Arg && | operator() (StringRef description) &&
auto | optional () -> Arg &
auto | required () -> Arg &
auto | isOptional () const -> bool
auto | cardinality () const -> size_t override
StringRef | hint () const
Public Member Functions inherited from Catch::Clara::Detail::ComposableParserImpl< Arg >
Parser | operator| (T const &other) const
auto | operator| (T const &other) const -> Parser
Parser | operator| (T const &other) const
Public Member Functions inherited from Catch::Clara::Detail::ParserBase
virtual | ~ParserBase ()=default
virtual auto | validate () const -> Result
InternalParseResult | parse (Args const &args) const

## Additional Inherited Members

Protected Member Functions inherited from Catch::Clara::Detail::ParserRefImpl< Arg >
| ParserRefImpl (std::shared_ptr< BoundRef > const &ref)
Protected Attributes inherited from Catch::Clara::Detail::ParserRefImpl< Arg >
Optionality | m_optionality
std::shared_ptr< BoundRef > | m_ref
StringRef | m_hint
StringRef | m_description

## Member Function Documentation

## parse()

Detail::InternalParseResult Catch::Clara::Arg::parse | ( | std::string const & | ,
|  | Detail::TokenStream | tokens ) const

overridevirtual

Implements Catch::Clara::Detail::ParserBase.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp